Bug 10463 - root has access to display 0.0 even if xhost or DISPLAY not set.
root has access to display 0.0 even if xhost or DISPLAY not set.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-30 18:04 EST by mw
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-31 10:50:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mw 2000-03-30 18:04:13 EST
I create a new user ab, so that no local config could have effect.
I login as user ab, then, in a gnome terminal, I issue

su -
Password:
xterm&

and to my amazement, the xterm started with no errors.

I cannot decide if this is a feature or bug.

Thx

Mate

---
Mate Wierdl | Dept. of Math. Sciences | University of Memphis
Comment 1 Bill Nottingham 2000-03-31 10:50:59 EST
It's a feature of pam_xauth; it passes X cookies along with
su. See 'man pam_xauth' for more details.

Note You need to log in before you can comment on or make changes to this bug.